Package de.willuhn.jameica.hbci.server

# Class SammelLastschriftImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractSammelTransferImpl
de.willuhn.jameica.hbci.server.SammelLastschriftImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `HibiscusDBObject`, `SammelLastschrift`, `SammelTransfer`, `Terminable`, `Serializable`, `Remote`

public class SammelLastschriftImpl extends AbstractSammelTransferImpl implements SammelLastschrift
Implementierung des Containers fuer Sammellastschrift-Buchungen.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`SammelLastschriftImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`SammelTransferBuchung`
`createBuchung()`
Erzeugt eine neue Buchung auf dem Sammeltransfer.
`de.willuhn.datasource.rmi.DBIterator`
`getBuchungen()`
Liefert eine Liste der Buchungen fuer diesen Transfer.
`protected String`
`getTableName()`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractSammelTransferImpl

`ausgefuehrt, delete, getAttribute, getAusfuehrungsdatum, getBezeichnung, getBuchungenAsArray, getForeignObject, getKonto, getPrimaryAttribute, getSumme, getTermin, hasWarnings, insert, insertCheck, setAusgefuehrt, setBezeichnung, setKonto, setTermin, setWarning, store, ueberfaellig, updateCheck`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SammelTransfer

`getBezeichnung, getBuchungenAsArray, getKonto, getSumme, hasWarnings, setBezeichnung, setKonto, setWarning`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### SammelLastschriftImpl

public SammelLastschriftImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getBuchungen

public de.willuhn.datasource.rmi.DBIterator getBuchungen() throws RemoteException
Description copied from interface: `SammelTransfer`
Liefert eine Liste der Buchungen fuer diesen Transfer. Das sind Objekte des Typs `SammelTransferBuchung`.

Specified by:
  `getBuchungen` in interface `SammelTransfer`
Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`
See Also:
  - `SammelTransfer.getBuchungen()`

### createBuchung

public SammelTransferBuchung createBuchung() throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `SammelTransfer`
Erzeugt eine neue Buchung auf dem Sammeltransfer.

Specified by:
  `createBuchung` in interface `SammelTransfer`
Returns:
  die neu erzeugte Buchung.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `SammelTransfer.createBuchung()`